import java.awt.*;
import java.util.ArrayList;
import java.util.List;

public class PlanetsList implements Observer {
    private String ownerName;

    public PlanetsList(String ownerName) {
        this.ownerName = ownerName;
    }

    public class OnlineStatusManager {
        private List<Observer> observers = new ArrayList<>();

        public void addObserver(Observer observer) {
            observers.add(observer);
        }

        public void removeObserver(Observer observer) {
            observers.remove(observer);
        }

        // Уведомление всех подписчиков
        public void notifyObservers(Color color) {
            for (Observer observer : observers) {
                observer.update(color);
            }
        }

        // Метод, имитирующий изменение статуса игрока
        public void changePlayerStatus(Color color) {
            System.out.println("\nSystem: Changing color to " + color);
            notifyObservers(color);
        }
    }

    @Override
    public void update(Color color) {
        System.out.println(ownerName + "'s color is now: " + color.darker());
    }
}
